<?php

/**
 * @file
 * Include file for data definitions.
 */

/**
 * Returns webReader supported languages.
 * @return array
 *   Language Array
 */
function webreader_language_list() {
  $webreader_languages = array(
    'de' => array(
      'langid' => 'de_de',
      'alttext' => 'Vorlesen mit webReader',
    ),
    'en' => array(
      'langid' => 'en_us',
      'alttext' => 'Listen with webReader',
    ),
    'es' => array(
      'langid' => 'es_es',
      'alttext' => 'Leer con webReader',
    ),
    'fr' => array(
      'langid' => 'fr_fr',
      'alttext' => 'Lis moi avec webReader',
    ),
    'it' => array(
      'langid' => 'it_it',
      'alttext' => 'Leggi con webReader',
    ),
    'pt' => array(
      'langid' => 'pt_pt',
      'alttext' => 'Leia com o webReader',
    ),
    'sv' => array(
      'langid' => 'sv_se',
      'alttext' => 'L&auml;s med webReader',
    ),
  );

  $webreader_prefer_uk = variable_get('webreader_prefer_uk', FALSE);
  if ($webreader_prefer_uk) {
    $webreader_languages['en']['langid'] = 'en_uk';
  }

  return $webreader_languages;
}
